Bug 603380 - System-wide TeX format files are not provided and are ignored if manually generated
Summary: System-wide TeX format files are not provided and are ignored if manually gen...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive-texmf
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-12 19:15 UTC by Zbigniew Fiedorowicz
Modified: 2013-07-02 23:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 18:05:39 UTC
Type: ---


Attachments (Terms of Use)

Description Zbigniew Fiedorowicz 2010-06-12 19:15:13 UTC
Description of problem:
TeX format files should reside in the system directory
/var/lib/texmf/web2c
Instead they are created separately in each users home directory in the subdirectory:
.texlive2007/texmf-var/web2c
This is particularly annoying if latex files are processed by a daemon, such as httpd.  In that case TeX running as that daemon tries to create the directory /.texlive2007 or some other subdirectory of a sysetm directory,  which fails due to lack of write permissions.
In Fedora 12 and earlier this could be fixed by running the command
fmtutils --missing
In Fedora 13 this command does generate TeX format files in
/var/lib/texmf/web2c
but these files are ignored and format files are still generated in each users home directory.
Version-Release number of selected component (if applicable):
texlive-texmf-latex-2007-35.fc13.noarch

How reproducible:


Steps to Reproduce:
1.Create a tex file, say test.tex in /tmp
2.su root; su -s /bin/bash apache
3.pdflatex test.tex
  
Actual results:
This is pdfTeXk, Version 3.141592-1.40.3 (Web2C 7.5.6)
 %&-line parsing enabled.
kpathsea: Running mktexfmt pdflatex.fmt
fmtutil: format directory `/var/www/.texlive2007/texmf-var/web2c' does not exist.
I can't find the format file `pdflatex.fmt'!


Expected results:
TeX format files should be in
/var/lib/texmf/web2c
and should be available to all users including server daemons.

Additional info:

Comment 1 Zbigniew Fiedorowicz 2010-06-12 19:57:16 UTC
There is typo in the above description
fmtutils --missing
should be
fmtutil --missing

Comment 2 Compass 2011-05-14 21:48:30 UTC
Hi Zbigniew,

Not sure if you figured it out. We had the same problem. You can use the following work around:

run texconfig-sys as root
Change something and save

It will solve the problem.

Cheers,
Compass

Comment 3 Bug Zapper 2011-06-02 11:06:32 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-27 18:05:39 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.